:root{ 
--text-dark: #11030f;
--royal-purple:#870d6b;
--accent-teal:#58875a;
--primary-gold: #cdd43bec;
--warm-gray: #6f6c6ceb;
--light-cream:#ece0e0;
--transition: all 0.4s cubic-bezier(0.25, 0.46, 0.45, 0.94) ;
--marine: #86fbf1dd;
--bronze: #f0cb138a;
--color: #6d4766;
--goldish: #cbae6e;
}
*{
    margin: 0;
    padding: 0;
    box-sizing:border-box;
}
body{
    color: var(--text-dark);
    background-color: var(--goldish);
    font-family: Verdana;
    line-height: 1.6;
    overflow-x: hidden;
    position: relative;
}

.header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding:1.5rem 5%;
    background: var(--warm-gray);
    backdrop-filter: blur(20px);
    position:sticky;
    top:0;
    z-index: 100;
    border-bottom: 1px solid rgb(53, 119, 134);
}
.logo{
    font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: xx-large;
    font-weight: 700;
    color: var(--text-dark);
}
.logo span{
color: var(--royal-purple);
}
.nav a{
    text-decoration: wavy;
    color: var(--text-dark);
    margin-right: 1rem;
    font-weight: 500;
    transition: var(--transition);
    background: var(--marine);
    padding: 0.1rem 0.9rem;
    border-radius: 10px;
}
.nav a:hover{
    background: var(--accent-teal);
    color: var(--bronze);
    box-shadow: 0 10px 20px #5e4e51;
}
.btn-primary{
    background: var(--accent-teal);
    color: var(--primary-gold) !important; 
    padding: 0.6rem 1.5rem;
    border-radius: 50px;
    transition: var(--transition);
}
.btn-primary:hover{
    background: var(--bronze);
    transform: translateY(-2px);
    box-shadow: 0 10px 20px #5e4e51;
}
.hero{
    min-height: 60vh;
    background: linear-gradient( rgba(0, 0, 0,0.6)), url("C:\Users\User\OneDrive\Desktop\GDL\images\htl1.jpg") center/cover no-repeat;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 50 5%;
}
.hero-content{
    max-width: 3000px;
}
.tagline{
    display: inline-flex;
    background: #ca9fca ;
    color: var(--accent-teal);
    padding: 0.4rem 1rem;
    border-radius: 100px;
    font-size: 1.0rem;
    font-weight: 1000;
    margin-bottom: 2rem;
    letter-spacing: 1px;
    text-transform: uppercase;
}
.hero h1{
    font-family: 'Playfair Display', Lucida;
    font-size:3.5rem;
    line-height: 5.0rem;
    color: var(--marine);
    margin-bottom: 1.5rem;
}
.hero p{
    font-size:1.2rem;
    color: var(--light-cream);
    margin-bottom: 2.5rem;
    max-width: 600px;
    margin-left: auto;
    margin-right: auto;
}
.gallery-section{
    padding: 4rem 5%;
}
.section-header{
    text-align: center;
    margin-bottom: 3rem;
}
.section-header h2{
    font-family: 'Playfair Display', lucida;
    font-size: 3rem;
    color: var(--royal-purple);
    margin-bottom: 0.4rem;
}
.section-header p{
    color: #131376ba;
}
#gallery{
    padding: 50px;
    text-align: center;
}
.gallery-grid{
    margin-top: 10px;
    display: grid;
    grid-template-columns: repeat(autofit, minmax(250px,20fr));
    gap: 1rem;
}
.gallery-item{
    border-radius: 10px;
    overflow: hidden;
    text-align: center;
    justify-content: center;
    align-items: center;
    width: 40%;
    height: 600px;
    background: var(--light-cream);
    transition: var(--transition);
    box-shadow: var(--warm-gray);
}
.gallery-item:hover{
    transform: translateY(-10px);
    box-shadow:#7f9845;
}
.image-wrapper{
    position: relative;
    overflow: hidden;
    width: auto;
    height: 600px;
}
.image-wrapper img{
    width: 500px;
    height:auto;
    object-fit: cover;
    transition: transform 0.6s cubic-bezier(0.2, 0.32, 0.30, 0.58);
}
.gallery-item:hover .image-wrapper img{
    transform: scale(1.1);
}
.overlay{
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background: #bfc88b;
    backdrop-filter: blur(8px);
    padding: 5rem;
    transform: translateY(100%);
    transition: var(--transition);
    border-top: 2px solid var(--accent-teal);
}
.gallery-item:hover .overlay{
    transform:translateY(0)
}
.overlay h3{
    font-family: 'Playfair Display' serif;
    font-size: 1.5rem;
    color: #3789d6;
    margin-bottom: 0.5rem;
}
.overlay ul{
    font-size: 0.95rem;
    color: #89587d;
}
.footer{
    background: var(--accent-teal);
    color: rgba(255,255,255,0.6);
    padding: 2rem 5%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 1.0rem;
}
.social-links a{
    color: var(--marine);
    text-decoration: none;
    margin-left: 1.5rem;
    transition: var(--transition);
}
.social-links a:hover{
    color: var(--bronze);
}
* h2{
    font-family: 'Playfair Display', lucida;
    color: var(--royal-purple);
    text-align: center;
    font-size: 3rem;
}
* h4{
    font-family: 'Playfair Display' Helvetica;
    color: #61420d;
    padding: 30px;
    font-size: 1.5rem;
}
* h5{
  font-family: 'Playfair Display', lucida;
    color: var(--royal-purple);
    font-size: 3rem;  
}


